﻿<style>
    .backtolist {
        margin-top: 7px !important;
        color: #fff !important;
        cursor: pointer !important;
    }

    .orgmap li::before {
        border-left: none !important;
    }

    .orgmap li::after {
        border-top: none !important;
        height: 20px;
        top: 30px;
        width: 55px;
    }

    .orgmap li span.text {
        max-width: 350px !important;
    }

    .orgmap li span.icon {
        margin-top: 0px !important;
    }
</style>
<script>
    function ManageDivHideShow(type) {
        $("#divProcessAssignToUser").empty();
        $.ajax({
            url: "/Dashboard/Landing/ShowType3",
            type: "POST",
            data: { type: type },
            success: function (res) {
                if (res == '') {
                    toastr.warning('No task assigned!');
                } else {
                    $("#divProcessAssignToUser").append(res);
                }
            }
        });
    }
    function fn_GotoAssignedEnabler(OrgId, CategoryId, QuestionnaireID, EnablerName) {
        $.get('/ApplicationManagement/RiskAssessment/PerformCtrlAssessment', { OrgId: OrgId, CategoryId: CategoryId, QuestionnaireID: QuestionnaireID, EnablerName: EnablerName, isTask: true }, (res) => $('#ajaxresult').html(res))
    }
    function fn_GotoEnablerAssessment(OrgId, OrgName) {
        $.get('/ApplicationManagement/IRA/AssEnabler', { OrgId: OrgId, OrgName: OrgName, isTask: true }, (res) => $('#ajaxresult').html(res))
    }
    function fn_GoToComplianceAssessment(OrgId, OrgName) {
        $.get('/ApplicationManagement/ComplainceAssessmentRCM/PerformAssessment', { OrgId: OrgId, OrgName: OrgName, isTask: true }, (res) => $('#ajaxresult').html(res))
    }
</script>
<div class="right_section">
    <div class="titile_heading" id="title_List">
        <h1>Assigned Tasks</h1>
        <div class="titile_line">
            <a class="backtolist" href="/Dashboard/Landing/Index">Back to Menu</a>
        </div>
    </div>
    <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
        <div class="right_panel">
            <div class="right_content">
                <div class="row">
                    <div class="col-sm-4">
                        <h2 class="h2class">Task List </h2>
                        <div class="boxgrey">
                            <div class="boxone">
                                <div class="col">
                                    <script>
                                        function fn_GetTasks(type){
                                            $("#divProcessAssignToUser").empty();
                                            $.ajax({
                                                url: "/Dashboard/Landing/ArtefactTasks",
                                                type: "POST",
                                                data: { type: type },
                                                success: function (res) {
                                                    if (res == '') {
                                                        toastr.warning('No task assigned!');
                                                    } else {
                                                        $("#divProcessAssignToUser").html(res);
                                                    }
                                                }
                                            });
                                        }
                                    </script>
                                    <ul class="orgmap">
                                        @if (Model.RoleId == 5)
                                        {
                                            <li class="second inactive">
                                                <div><span class="text" onclick="fn_GetTasks(1)">Artefacts</span></div>
                                            </li>
                                            <li class="second inactive">
                                                <div><span class="text" onclick="fn_GetTasks(2)">Review/Approve</span></div>
                                            </li>
                                        }
                                        else
                                        {
                                            <li class="first inactive">
                                                <div><span class="text" onclick="ManageDivHideShow(1)">Risk Assessment</span></div>
                                            </li>
                                            <li class="second inactive">
                                                <div><span class="text" onclick="ManageDivHideShow(2)">Compliance Assessment</span></div>
                                            </li>
                                            <li class="second inactive">
                                                <div><span class="text" onclick="ManageDivHideShow(3)">Review/Approve</span></div>
                                            </li>
                                        }
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-8">
                        <div id="divProcessAssignToUser"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

